org.codehaus.groovy.runtime

## Class Reflector

- java.lang.Object
- - org.codehaus.groovy.runtime.Reflector

-     public class Reflector
      extends java.lang.Object

  Provides as alternative to reflection using bytecode generation.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Reflector()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `invoke(CachedMethod method, java.lang.Object object, java.lang.Object[] arguments)`
    `protected java.lang.Object` | `noSuchMethod(CachedMethod method, java.lang.Object object, java.lang.Object[] arguments)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Reflector

          public Reflector()

  - ### Method Detail

    - #### invoke

          public java.lang.Object invoke(CachedMethod method,
                                         java.lang.Object object,
                                         java.lang.Object[] arguments)

    - #### noSuchMethod

          protected java.lang.Object noSuchMethod(CachedMethod method,
                                                  java.lang.Object object,
                                                  java.lang.Object[] arguments)